=== debian/changelog ===
stellarsolver (1.9-1) unstable; urgency=medium

  * New upstream release.
  * Add needed dependencies for libstellarsolver-dev: libcfitsio-dev,
    qtbase5-dev.
  * CI: enable blhc again, as it should work fine now.
  * Small tweak to the description of libstellarsolver1.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Jan 2022 14:41:22 +0100

stellarsolver (1.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Dec 2021 00:18:18 +0100

stellarsolver (1.8-1) experimental; urgency=medium

  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Sep 2021 07:01:41 +0200
