=== debian/changelog ===
stellarsolver (2.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 26 May 2022 06:42:29 +0200

stellarsolver (2.3-1) experimental; urgency=medium

  * New upstream release.
  * Small updates to copyright.

 -- Pino Toscano <pino@debian.org>  Tue, 24 May 2022 20:45:49 +0200

stellarsolver (2.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Rename packages according to the new SONAMEs:
    - libstellarsolver1 -> libstellarsolver2
  * Update install files.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 21 May 2022 06:24:52 +0200
