=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
  pkg-config,
  qtbase5-dev (>= 5.4.0~),
  wcslib-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver
 Homepage: https://github.com/rlancaste/stellarsolver
 
-Package: libstellarsolver1
+Package: libstellarsolver2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -28,7 +28,7 @@
 
 Package: libstellarsolver-dev
 Architecture: any
-Depends: libstellarsolver1 (= ${binary:Version}),
+Depends: libstellarsolver2 (= ${binary:Version}),
  libcfitsio-dev,
  qtbase5-dev,
  ${misc:Depends}
