## stellarsolver 2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 # Timestamp build
 string(TIMESTAMP StellarSolver_BUILD_TS UTC)
 
-# StellarSolver Version 2.3
+# StellarSolver Version 2.4
 set (StellarSolver_VERSION_MAJOR 2)
-set (StellarSolver_VERSION_MINOR 3)
+set (StellarSolver_VERSION_MINOR 4)
 
 set (StellarSolver_SOVERSION "${StellarSolver_VERSION_MAJOR}")
 set (StellarSolver_VERSION ${StellarSolver_VERSION_MAJOR}.${StellarSolver_VERSION_MINOR})
