=== debian/changelog ===
stellarsolver (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Dec 2022 09:27:49 +0100
