=== debian/changelog ===
stellarsolver (2.5-2) unstable; urgency=medium

  * Team upload.
  * Apply patch to fix qsort definition and thus build error (Closes:
    #1066275). Thanks Miriam Espana Acebal for the patch.
  * Switch deprecated B-D on pkg-config to pkgconf.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 14 Apr 2024 12:14:48 -0300

stellarsolver (2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 18 Aug 2023 06:04:30 +0200
