=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  libcfitsio-dev,
  libgsl-dev,
- pkg-config,
+ pkgconf,
  qtbase5-dev (>= 5.4.0~),
  wcslib-dev,
 Standards-Version: 4.6.2
