## stellarsolver 2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,18 @@
+cmake_minimum_required(VERSION 3.0)
 PROJECT(StellarSolver C CXX)
-cmake_minimum_required(VERSION 3.0)
+set(CMAKE_CXX_STANDARD 17)
+if(APPLE)
+    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++" )
+endif(APPLE)
 
 #cmake_policy(SET CMP0003 NEW)
 
 # Timestamp build
 string(TIMESTAMP StellarSolver_BUILD_TS UTC)
 
-# StellarSolver Version 2.5
+# StellarSolver Version 2.6
 set (StellarSolver_VERSION_MAJOR 2)
-set (StellarSolver_VERSION_MINOR 5)
+set (StellarSolver_VERSION_MINOR 6)
 
 set (StellarSolver_SOVERSION "${StellarSolver_VERSION_MAJOR}")
 set (StellarSolver_VERSION ${StellarSolver_VERSION_MAJOR}.${StellarSolver_VERSION_MINOR})
@@ -17,6 +21,9 @@
 # Exports
 set(TARGET_EXPORT_NAME ${PROJECT_NAME}Targets)
 set(TARGET_EXPORT_CONFIG ${PROJECT_NAME}Config)
+
+# See download progress
+Set(FETCHCONTENT_QUIET FALSE)
 
 configure_file(
     ${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake
@@ -91,11 +98,21 @@
 option(BUILD_BATCH_SOLVER "Build stellarsolver batch solver program, instead of just the library" Off)
 option(BUILD_DEMOS "Build stellarsolver basic demonstration programs, instead of just the library" Off)
 option(BUILD_TESTS "Build stellarsolver tests, instead of just the library" Off)
+option(BUILD_CLI "Build stellarsolver command line interface, instead of just the library" Off)
 
 find_package(CFITSIO REQUIRED)
 find_package(GSL REQUIRED)
 find_package(WCSLIB REQUIRED)
-find_package(Qt5 5.4 REQUIRED COMPONENTS Gui Widgets Core Concurrent Network)
+
+# Option to choose between Qt5 and Qt6
+option(USE_QT5 "Use Qt5" ON)
+
+if(USE_QT5)
+    find_package(Qt5 5.15 REQUIRED COMPONENTS Gui Widgets Core Concurrent Network)
+else()
+    message(WARNING "QT6 support is fairly new and not fully vetted yet.  Currently there is an issue with partitioning in StellarSolver in QT6.")
+    find_package(Qt6 REQUIRED COMPONENTS Gui Widgets Core Concurrent Network)
+endif()
 
 if(WIN32)
     find_package(Boost 1.45.0 COMPONENTS regex)
@@ -244,10 +261,10 @@
     ${CFITSIO_LIBRARIES}
     ${GSL_LIBRARIES}
     ${WCSLIB_LIBRARIES}
-    Qt5::Core
-    Qt5::Network
-    Qt5::Widgets
-    Qt5::Concurrent
+    Qt::Core
+    Qt::Network
+    Qt::Widgets
+    Qt::Concurrent
     )
 
 if(WIN32)
@@ -264,11 +281,3 @@
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /D _CRT_NONSTDC_NO_WARNINGS=1 /D _CRT_SECURE_NO_WARNINGS=1")
     # Disabling warnings caused by assigning values to types defined with typedef double <variable>
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4244")
-    # Disbling warnings caused by size_t being assigned to int
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4267")
-    # Disabling warning for comparing signed and unsigned variables
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4018")
-    # Disabling the warning for redefined macros, because ERROR had a conflict and it is used A LOT in astrometry
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4005")
-    # Disabling warning for unused local variables (This one is important because some variables only get used on Linux or MacOS)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4101")
