=== debian/changelog ===
stellarsolver (2.6-1build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:57:05 +0200

stellarsolver (2.6-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - 139-fix-qsort-warning.patch: drop, fixed upstream
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 19 Jul 2024 22:16:34 +0200
