=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  pkgconf,
  qtbase5-dev (>= 5.4.0~),
  wcslib-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver
