## stellarsolver 2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 PROJECT(StellarSolver C CXX)
 set(CMAKE_CXX_STANDARD 17)
 if(APPLE)
@@ -10,9 +10,9 @@
 # Timestamp build
 string(TIMESTAMP StellarSolver_BUILD_TS UTC)
 
-# StellarSolver Version 2.6
+# StellarSolver Version 2.7
 set (StellarSolver_VERSION_MAJOR 2)
-set (StellarSolver_VERSION_MINOR 6)
+set (StellarSolver_VERSION_MINOR 7)
 
 set (StellarSolver_SOVERSION "${StellarSolver_VERSION_MAJOR}")
 set (StellarSolver_VERSION ${StellarSolver_VERSION_MAJOR}.${StellarSolver_VERSION_MINOR})
@@ -109,14 +109,12 @@
 
 if(USE_QT5)
     find_package(Qt5 5.15 REQUIRED COMPONENTS Gui Widgets Core Concurrent Network)
+    set(LIBRARY_NAME stellarsolver)
 else()
     message(WARNING "QT6 support is fairly new and not fully vetted yet.  Currently there is an issue with partitioning in StellarSolver in QT6.")
     find_package(Qt6 REQUIRED COMPONENTS Gui Widgets Core Concurrent Network)
-endif()
-
-if(WIN32)
-    find_package(Boost 1.45.0 COMPONENTS regex)
-endif(WIN32)
+    set(LIBRARY_NAME stellarsolver6)
+endif()
 
 if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
   message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html")
@@ -257,7 +255,7 @@
     add_library(stellarsolver SHARED ${ALL_SRCS})
 endif(WIN32)
 
-target_link_libraries(stellarsolver
+target_link_libraries(stellarsolver PUBLIC
     ${CFITSIO_LIBRARIES}
     ${GSL_LIBRARIES}
     ${WCSLIB_LIBRARIES}
@@ -268,9 +266,9 @@
     )
 
 if(WIN32)
-    target_link_libraries(stellarsolver wsock32 ${Boost_LIBRARIES})
+    target_link_libraries(stellarsolver PUBLIC wsock32)
 else(WIN32)
-    set_target_properties(stellarsolver PROPERTIES VERSION ${StellarSolver_VERSION_STRING} SOVERSION ${StellarSolver_SOVERSION} OUTPUT_NAME stellarsolver)
+    set_target_properties(stellarsolver PROPERTIES VERSION ${StellarSolver_VERSION_STRING} SOVERSION ${StellarSolver_SOVERSION} OUTPUT_NAME ${LIBRARY_NAME})
 endif(WIN32)
 
 if (MSVC) # We need to disable some warnings caused by using code designed for Unix on a Windows machine, otherwise astrometry code gives over 1500 warnings.
