=== debian/changelog ===
stellarsolver (2.7-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/control: Use Debian KDE Extras Team as maintainer.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Feb 2026 19:27:40 -0500

stellarsolver (2.7-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 07:06:58 +0200
