=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: stellarsolver
 Section: libdevel
-Priority: optional
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
  debhelper-compat (= 13),
  libcfitsio-dev,
  libgsl-dev,
  pkgconf,
  qtbase5-dev (>= 5.4.0~),
  wcslib-dev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver
 Homepage: https://github.com/rlancaste/stellarsolver
