=== debian/watch ===
Version: 5

Template: GitHub
Owner: rlancaste
Project: stellarsolver
